# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project mostly adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [2.0.0] - 2019-05-13

### Changed since 2.0.0-beta.2
- Added support for global variants thanks to Tailwind’s `variants()` helper function

### Added since 1.x
- Tailwind 1.0.0 compatibility

### Changed since 1.x
- The plugin doesn’t accept a config object anymore; instead it finds what it needs in the `theme` and `variants` keys of your config (see `README` for more info)
- Multiple utilities as well as responsive variants are now generated by default (see `README` for more info)
- Shorter class names for transition durations (`transition-duration-500` is now `transition-500`) and timing functions (`transition-timing-ease` is now `transition-ease`)
- Transition utilities now set `transition-property` instead of the `transition` shorthand; as a result, responsive transition utilities don’t reset the duration, timing function or delay anymore
- For the above to work, the plugin now sets some base styles on all elements (changes `transition-property`'s default value of `all` to `none`, and sets the default duration, timing function, and delay defined in the theme)

## [2.0.0-beta.2] - 2019-04-07

### Removed
- Removed `transitionProperty` and `willChange`’s `default` key feature introduced in beta 1; it is confusing because the behaviour is different from the other `default` keys in this plugin, but also because it’s not clear what the classes do... it’s better to be explicit (e.g. `transition-all` and `will-change-contents`)

## [2.0.0-beta.1] - 2019-04-07

### Added
- Tailwind 1.0.0 compatibility
- `transitionProperty` and `willChange` now accept a `default` key that generates a simple `transition` / `will-change` class

### Changed
- The plugin doesn’t accept a config object anymore; instead it finds what it needs in the `theme` and `variants` keys of your config (see `README` for more info)
- Multiple utilities as well as responsive variants are now generated by default (see `README` for more info)
- Shorter class names for transition durations (`transition-duration-500` is now `transition-500`) and timing functions (`transition-timing-ease` is now `transition-ease`)
- Transition utilities now set `transition-property` instead of the `transition` shorthand; as a result, responsive transition utilities don’t reset the duration, timing function or delay anymore
- For the above to work, the plugin now sets some base styles on all elements (changes `transition-property`'s default value of `all` to `none`, and sets the default duration, timing function, and delay defined in the theme)

## [1.0.4] - 2018-11-04

### Added
- Added proper tests with Jest

## [1.0.3] - 2018-11-04

### Added
- Added a changelog and a release script

## [1.0.2] - 2018-11-04

### Fixed
- Fixed escaping of transition delay selectors

## [1.0.1] - 2018-08-14

### Added
- Added `timingFunctions` option
- Added `delays` option

### Fixed
- Fixed escaping in selectors generated by the plugin

## [1.0.0] - 2018-05-06

Initial release

[Unreleased]: https://github.com/benface/tailwindcss-transitions/compare/v2.0.0...HEAD
[2.0.0]: https://github.com/benface/tailwindcss-transitions/compare/v2.0.0-beta.2...v2.0.0
[2.0.0-beta.2]: https://github.com/benface/tailwindcss-transitions/compare/v2.0.0-beta.1...v2.0.0-beta.2
[2.0.0-beta.1]: https://github.com/benface/tailwindcss-transitions/compare/v1.0.4...v2.0.0-beta.1
[1.0.4]: https://github.com/benface/tailwindcss-transitions/compare/v1.0.3...v1.0.4
[1.0.3]: https://github.com/benface/tailwindcss-transitions/compare/v1.0.2...v1.0.3
[1.0.2]: https://github.com/benface/tailwindcss-transitions/compare/v1.0.1...v1.0.2
[1.0.1]: https://github.com/benface/tailwindcss-transitions/compare/v1.0.0...v1.0.1
[1.0.0]: https://github.com/benface/tailwindcss-transitions/releases/tag/v1.0.0
